org.apache.fop.util

## Class AbstractPaintingState.StateStack<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<E>
      - - java.util.Stack<E>
        - - org.apache.fop.util.AbstractPaintingState.StateStack<E>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess
  Enclosing class:
    AbstractPaintingState

      public class AbstractPaintingState.StateStack<E>
      extends java.util.Stack<E>

  A stack implementation which holds state objects
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateStack()` Default constructor
    `StateStack(java.util.Collection c)` Copy constructor

  - ### Method Summary

    - ### Methods inherited from class java.util.Stack

      `empty, peek, pop, push, search`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### StateStack

          public StateStack()

      Default constructor

    - #### StateStack

          public StateStack(java.util.Collection c)

      Copy constructor
      Parameters:
        `c` - initial contents of stack

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.